Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

Wszystko na temat instalacji oprogramowania KQS.store oraz aktualizacji skryptu do najnowszej wersji. Dowiesz się także co nowego pojawiło się w sklepie KQS oraz znajdziesz pełną listę zmian które weszły w nowej wersji.

Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 13, Wt 19:58

Szanowni koledzy

Przy okazji kolejnych aktualizacji pojawiały się pliki instalacyjne lub aktualizujące w 2 wersjach
np. KQS.update_4.3 oraz KQS.update_4.3_php5.4, przy czym ten drugi opisywany jako paczka dla serwerów z PHP 5.4, to samo z plikami instalacyjnymi KQS.store_4.3 oraz KQS.store_4.3_php5.4

Natomiast już od dłuższego czasu w wymaganiach instalacyjnych podawane jest, że serwer z obsługą języka PHP w wersji minimum 5.4.17

Pytanie zatem, czy pliki bez sufixu _php5.4 są przeznaczone dla starszych wersji PHP <5.4? (Tylko po co jeśli wymagane minimum to 5.4.17)
Czy o co chodzi?

Będę wdzięczny za rozjaśnienie mi tego tematu
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez sucro » 2016 wrz 13, Wt 22:27

W zależności od hostingu działa nawet i na php 5.3
Powiedz gdzie masz hosting a powiem ci którą wersję musisz wgrać.
Avatar użytkownika
Admin Witryny
 
Posty: 203
Dołączył(a): 2008 kwi 08, Wt 13:44
Lokalizacja: MEGAMO
Podziękował : 12 razy
Otrzymał podziękowań: 17 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 13, Wt 22:37

Home.pl

Tylko nie o to mi chodzi. Raczej na czym polegają różnice. Dlaczego są nadal dwie wersje
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez sucro » 2016 wrz 14, Śr 10:11

Bo nie każdy serwer ma możliwość ustawienia php 5.5 ( większość już ma, ale dalej są hostingi gdzie wersja php to 5.3 i czasem trudno doprosić usługodawcę o zmianę wersji php czy nawet wersji SQL - a czasem nawet jest problem z zainstalowaniem ioncube bo też takie przypadki miałem ) a są sklepy KQS które stoją na takich hostingach.
Avatar użytkownika
Admin Witryny
 
Posty: 203
Dołączył(a): 2008 kwi 08, Wt 13:44
Lokalizacja: MEGAMO
Podziękował : 12 razy
Otrzymał podziękowań: 17 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 14, Śr 10:15

Czyli pliki bez sufiksu _php5.4 są przeznaczone dla wersji starszych mimo, że oficjalnie sklep wymaga wersji minimum 5.4.17?

Od razu zapytam.
Aby zmienić używaną wersję, oczywiście oprócz zmiany na serwerze wersji PHP, do aktualizacji sklepu (do tej pory na np. PHP 5.3) należy użyć pliku do aktualizacji KQS.update_4.3_php5.4?
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez tofif » 2016 wrz 14, Śr 10:51

Aktualizujesz plikiem bez _5.4 jeśli chcesz nowy czyli KQS.update_4.3 a jak masz stary php to KQS.update_4.3_php5.4
Avatar użytkownika
 
Posty: 1279
Dołączył(a): 2008 kwi 28, Pn 23:03
Lokalizacja: Warszawa
Podziękował : 1 razy
Otrzymał podziękowań: 4 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 14, Śr 10:53

tofif napisał(a):Aktualizujesz plikiem bez _5.4 jeśli chcesz nowy czyli KQS.update_4.3 a jak masz stary php to KQS.update_4.3_php5.4


Czekaj, czekaj - łopatologicznie bo się pogubiłem
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 14, Śr 11:21

diversio napisał(a):
tofif napisał(a):Aktualizujesz plikiem bez _5.4 jeśli chcesz nowy czyli KQS.update_4.3 a jak masz stary php to KQS.update_4.3_php5.4


Czekaj, czekaj - łopatologicznie bo się pogubiłem


Jeśli mam sklep w wersji 4.2 na serwerze z PHP 5.3 to aby go zaktualizować używam KQS.update_4.3

Ale gdy jednocześnie chcę dokonać zmiany wersji PHP na 5.4 lub wyżej, to:
- zmieniam wersję PHP na serwerze
- sklep aktualizuję plikiem KQS.update_4.3_php5.4

W kolejnych aktualizacjach używam pliku KQS.update_4.x_php5.4

???
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez tofif » 2016 wrz 14, Śr 11:36

Sam się k. pogubiłem ;p Ja mam wersje php 5.6.19 na serwerze i aktualizuje KQS.update_4.3 - _5.4 nie dotykam.
Avatar użytkownika
 
Posty: 1279
Dołączył(a): 2008 kwi 28, Pn 23:03
Lokalizacja: Warszawa
Podziękował : 1 razy
Otrzymał podziękowań: 4 razy

Następna strona

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników i 1 gość
cron